Package com.io7m.cardant.protocol.inventory.cb

# Record Class CAI1ItemSearchParameters

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.cb.CAI1ItemSearchParameters

Record Components:
  `fieldLocation` - The item location search behaviour.
  `fieldNameMatch` - The item name match expression.
  `fieldDescriptionMatch` - The item description match expression.
  `fieldTypeMatch` - The item type match expression.
  `fieldSerialMatch` - The item serial match expression.
  `fieldMetaMatch` - The item metadata match expression.
  `fieldOrder` - The item result ordering.
  `fieldLimit` - The item limit.

All Implemented Interfaces:
  `com.io7m.cedarbridge.runtime.api.CBSerializableType`

public record CAI1ItemSearchParameters(CAI1ListLocationBehaviour fieldLocation, CAI1ComparisonFuzzy<com.io7m.cedarbridge.runtime.api.CBString> fieldNameMatch, CAI1ComparisonFuzzy<com.io7m.cedarbridge.runtime.api.CBString> fieldDescriptionMatch, CAI1ComparisonSet<com.io7m.cedarbridge.runtime.api.CBString> fieldTypeMatch, CAI1ComparisonExact<com.io7m.cedarbridge.runtime.api.CBString> fieldSerialMatch, CAI1MetadataElementMatch fieldMetaMatch, CAI1ItemColumnOrdering fieldOrder, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldLimit) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType
The item search parameters.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAI1ItemSearchParameters(CAI1ListLocationBehaviour fieldLocation, CAI1ComparisonFuzzy<com.io7m.cedarbridge.runtime.api.CBString> fieldNameMatch, CAI1ComparisonFuzzy<com.io7m.cedarbridge.runtime.api.CBString> fieldDescriptionMatch, CAI1ComparisonSet<com.io7m.cedarbridge.runtime.api.CBString> fieldTypeMatch, CAI1ComparisonExact<com.io7m.cedarbridge.runtime.api.CBString> fieldSerialMatch, CAI1MetadataElementMatch fieldMetaMatch, CAI1ItemColumnOrdering fieldOrder, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldLimit)`
  Creates an instance of a `CAI1ItemSearchParameters` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CAI1ItemSearchParameters`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type CAI1ItemSearchParameters.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `CAI1ComparisonFuzzy<com.io7m.cedarbridge.runtime.api.CBString>`
  `fieldDescriptionMatch()`
  Returns the value of the `fieldDescriptionMatch` record component.
  `com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32`
  `fieldLimit()`
  Returns the value of the `fieldLimit` record component.
  `CAI1ListLocationBehaviour`
  `fieldLocation()`
  Returns the value of the `fieldLocation` record component.
  `CAI1MetadataElementMatch`
  `fieldMetaMatch()`
  Returns the value of the `fieldMetaMatch` record component.
  `CAI1ComparisonFuzzy<com.io7m.cedarbridge.runtime.api.CBString>`
  `fieldNameMatch()`
  Returns the value of the `fieldNameMatch` record component.
  `CAI1ItemColumnOrdering`
  `fieldOrder()`
  Returns the value of the `fieldOrder` record component.
  `CAI1ComparisonExact<com.io7m.cedarbridge.runtime.api.CBString>`
  `fieldSerialMatch()`
  Returns the value of the `fieldSerialMatch` record component.
  `CAI1ComparisonSet<com.io7m.cedarbridge.runtime.api.CBString>`
  `fieldTypeMatch()`
  Returns the value of the `fieldTypeMatch` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1ItemSearchParameters $x)`
  Serialize a value of type CAI1ItemSearchParameters.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAI1ItemSearchParameters

    public CAI1ItemSearchParameters(CAI1ListLocationBehaviour fieldLocation, CAI1ComparisonFuzzy<com.io7m.cedarbridge.runtime.api.CBString> fieldNameMatch, CAI1ComparisonFuzzy<com.io7m.cedarbridge.runtime.api.CBString> fieldDescriptionMatch, CAI1ComparisonSet<com.io7m.cedarbridge.runtime.api.CBString> fieldTypeMatch, CAI1ComparisonExact<com.io7m.cedarbridge.runtime.api.CBString> fieldSerialMatch, CAI1MetadataElementMatch fieldMetaMatch, CAI1ItemColumnOrdering fieldOrder, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldLimit)
    Creates an instance of a `CAI1ItemSearchParameters` record class.
    Parameters:
      `fieldLocation` - the value for the `fieldLocation` record component
      `fieldNameMatch` - the value for the `fieldNameMatch` record component
      `fieldDescriptionMatch` - the value for the `fieldDescriptionMatch` record component
      `fieldTypeMatch` - the value for the `fieldTypeMatch` record component
      `fieldSerialMatch` - the value for the `fieldSerialMatch` record component
      `fieldMetaMatch` - the value for the `fieldMetaMatch` record component
      `fieldOrder` - the value for the `fieldOrder` record component
      `fieldLimit` - the value for the `fieldLimit` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1ItemSearchParameters $x) throws IOException
    Serialize a value of type CAI1ItemSearchParameters.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static CAI1ItemSearchParameters deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type CAI1ItemSearchParameters.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type CAI1ItemSearchParameters.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldLocation

    public CAI1ListLocationBehaviour fieldLocation()
    Returns the value of the `fieldLocation` record component.
    Returns:
      the value of the `fieldLocation` record component

  - ### fieldNameMatch

    public CAI1ComparisonFuzzy<com.io7m.cedarbridge.runtime.api.CBString> fieldNameMatch()
    Returns the value of the `fieldNameMatch` record component.
    Returns:
      the value of the `fieldNameMatch` record component

  - ### fieldDescriptionMatch

    public CAI1ComparisonFuzzy<com.io7m.cedarbridge.runtime.api.CBString> fieldDescriptionMatch()
    Returns the value of the `fieldDescriptionMatch` record component.
    Returns:
      the value of the `fieldDescriptionMatch` record component

  - ### fieldTypeMatch

    public CAI1ComparisonSet<com.io7m.cedarbridge.runtime.api.CBString> fieldTypeMatch()
    Returns the value of the `fieldTypeMatch` record component.
    Returns:
      the value of the `fieldTypeMatch` record component

  - ### fieldSerialMatch

    public CAI1ComparisonExact<com.io7m.cedarbridge.runtime.api.CBString> fieldSerialMatch()
    Returns the value of the `fieldSerialMatch` record component.
    Returns:
      the value of the `fieldSerialMatch` record component

  - ### fieldMetaMatch

    public CAI1MetadataElementMatch fieldMetaMatch()
    Returns the value of the `fieldMetaMatch` record component.
    Returns:
      the value of the `fieldMetaMatch` record component

  - ### fieldOrder

    public CAI1ItemColumnOrdering fieldOrder()
    Returns the value of the `fieldOrder` record component.
    Returns:
      the value of the `fieldOrder` record component

  - ### fieldLimit

    public com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldLimit()
    Returns the value of the `fieldLimit` record component.
    Returns:
      the value of the `fieldLimit` record component